Bug 1673278 - [manpage] inconsistent cmdline options docs: dnf --help/man page
Summary: [manpage] inconsistent cmdline options docs: dnf --help/man page
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: dnf
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.1
Assignee: Lukáš Hrázký
QA Contact: Radek Bíba
URL:
Whiteboard:
Depends On: 1681084
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-07 08:41 UTC by Eva Mrakova
Modified: 2020-11-14 08:15 UTC (History)
5 users (show)

Fixed In Version: dnf-4.2.6-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:21:12 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3583 None None None 2019-11-05 22:21:20 UTC

Description Eva Mrakova 2019-02-07 08:41:36 UTC
Description of problem:
dnf --help and dnf man page are inconsistent in some command line options specification, 
e.g. --color, --bzs, --cves, --destdir, --disableexcludepkgs are only 
mentioned in --help output,
on the other hand, --cve, --bz are only in the man page.
All of these options work as expected. 
There could be more such inconsistencies.

Version-Release number of selected component (if applicable):
dnf-4.0.9.2-1.el8

How reproducible:
always

Steps to Reproduce:
1. man dnf
2. dnf --help
3. compare

Comment 1 Daniel Mach 2019-02-11 12:34:04 UTC
This is actually a compatibility feature.
DNF/YUM4 works exactly as YUM3:

yum --help | grep '\--bz'
  --bzs=BZS             Include packages needed to fix the given BZ, in

man yum | grep '\--bz'
       --bz=BZS

Would you mind me closing this bug NOTABUG?
Or would you prefer to diverge from the compatibility behavior and make the change?

Comment 2 Eva Mrakova 2019-02-11 12:44:06 UTC
I'd prefer to have both resources (man and --help) consistent and describing all accepted options. Thanks.

Comment 3 Lukáš Hrázký 2019-03-01 12:51:03 UTC
PR: https://github.com/rpm-software-management/dnf/pull/1297

Comment 10 errata-xmlrpc 2019-11-05 22:21:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3583


Note You need to log in before you can comment on or make changes to this bug.